Base element of the application tools icon.

Example:

       import {html, css} from 'lit';
       import {customElement} from 'lit/decorators.js';

       // @ts-ignore
       @customElement('my-button')
       export class MyToolButtonElement extends (window as any).gmfapi.elements.ToolButtonElement {
         constructor() {
           super(panelName);
         }

         render(): TemplateResult {
           return html`
             <button
               @click=${() => this.click_()}
               class="btn btn-default ${this.active_ ? 'active' : ''}"
               data-toggle="tooltip"
               data-placement="left"
               data-original-title="${i18next.t('Title')}"
             >
               <span class="fa fa-my-icon"></span>
             </button>
           `;
         }
       }

### Hierarchy

- default
  - default
    - ToolButtonAuth
    - ToolButtonPrint
    - ToolButtonDraw
    - ToolButtonFilter
    - ToolButtonEditing
    - ToolButtonProfile
    - ToolButtonGooglestreetview
    - ToolButtonMapillary
    - ToolButtonSelect
    - ToolButtonImport
    - ToolButtonRouting
    - ToolButtonLidar
    - ToolButtonDefault

## Index

### Constructors

- constructor

### Properties

- bootstrapStyle
- bootstrapVarStyle
- commonStyle
- fontawesomeStyle
- resetStyle
- styles

### Methods

- connectedCallback
- disconnectedCallback
- firstUpdated
- mozRequestFullScreen
- mozRequestFullScreenWithKeys
- msRequestFullscreen
- render
- webkitRequestFullscreen

## Constructors

### constructor

- new default(panelName: string): default

- Overrides default.constructor

  - Defined in srcapi/elements/ToolButtonElement.ts:113

  #### Parameters

  - ##### panelName: string

  #### Returns default

## Properties

### Static bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### Static bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### Static commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### Static fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### Static resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### Static styles

styles: CSSResult[] = ...

Overrides default.styles

- Defined in srcapi/elements/ToolButtonElement.ts:66

## Methods

### connectedCallback

- connectedCallback(): void

- Overrides default.connectedCallback

  - Defined in srcapi/elements/ToolButtonElement.ts:118

  #### Returns void

### disconnectedCallback

- disconnectedCallback(): void

- Inherited from default.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:166

  #### Returns void

### firstUpdated

- firstUpdated(): void

- Overrides BaseElement.firstUpdated

  - Defined in srcapi/elements/ToolButtonElement.ts:150

  #### Returns void

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

  #### Returns Promise<void>

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

  #### Returns Promise<void>

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

  #### Returns Promise<void>

### render

- render(): TemplateResult<ResultType>

- Overrides BaseElement.render

  - Defined in srcapi/elements/ToolButtonElement.ts:136

  #### Returns TemplateResult<ResultType>

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?: number): Promise<void>

- Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

  #### Parameters

  - ##### Optional allowKeyboardInput: number

  #### Returns Promise<void>

Generated using TypeDoc